Subject: [MMUSIC] Channel descriptions

From: Kevin Gross <[email-masked]>
Date: Tue, 17 Jul 2012 17:57:31 -0600

The i= attribute provides a means to describe a session. Sessions often
have multiple media streams or channels. Although RFC 3551 (page 8)
suggests a convention for ordering of channels for surround sound
applications, other applications use multiple channels in different ways.
It would be useful if there were a mechanism analogous to i= for describing
individual channels in a session. Does such a thing exist anywhere? I've
searched the archives here and didn't find anything.

Kevin Gross
+1-303-447-0517
Media Network Consultant
AVA Networks - www.AVAnw.com <http://www.avanw.com/>, www.X192.org

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Wed, 18 Jul 2012 15:58:42 +0000

Hi Kevin,

Just to clarify my understanding of what you are asking, you can already have an i-line at the session level and/or at the media level (i.e. per m-line). Are you looking for something that lets you differentiate between multiple channels within a single m-line?

Cheers,
Charles  

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Kevin Gross
> Sent: Tuesday, July 17, 2012 4:58 PM
> To: mmusic
> Subject: [MMUSIC] Channel descriptions
> 
> The i= attribute provides a means to describe a session. Sessions often have
> multiple media streams or channels. Although RFC 3551 (page 8) suggests a
> convention for ordering of channels for surround sound applications, other
> applications use multiple channels in different ways. It would be useful if
> there were a mechanism analogous to i= for describing individual channels
> in a session. Does such a thing exist anywhere? I've searched the archives
> here and didn't find anything.
> 
> Kevin Gross
> 
> +1-303-447-0517
> Media Network Consultant
> 
> AVA Networks - www.AVAnw.com <http://www.avanw.com/> ,
> www.X192.org

---

From: Kevin Gross <[email-masked]>
Date: Wed, 18 Jul 2012 11:35:26 -0600

Yes. For a multichannel media specification such as:

m=audio 49152 RTP/AVP 96
i=Channels 1-8
a=rtpmap:96 L24/48000/8
a=sendonly

I get one description ("Channels 1-8") for all 8 channels in this stream.
I'd like to also have the ability to supply a description per channel.

Kevin Gross
+1-303-447-0517
Media Network Consultant

On Wed, Jul 18, 2012 at 9:58 AM, Charles Eckel (eckelcu)
<[email-masked]>wrote:

> Hi Kevin,
>
> Just to clarify my understanding of what you are asking, you can already
> have an i-line at the session level and/or at the media level (i.e. per
> m-line). Are you looking for something that lets you differentiate between
> multiple channels within a single m-line?
>
> Cheers,
> Charles
>
> have

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Wed, 18 Jul 2012 22:03:22 +0000

It looks as if RFC 3190 defines some conventions for the channels for L24.
Otherwise, perhaps an extension to RFC 5576, assuming you are using different SSRCs for each channel.
In general, there are ongoing discussions ongoing in AVTCORE, RTCWEB, and CLUE regarding multiplexing and some mechanism to describe the multiplexed streams will likely result.

Cheers,
Charles

> From: Kevin Gross [mailto:[email-masked]]
> Sent: Wednesday, July 18, 2012 10:35 AM
> To: Charles Eckel (eckelcu)
> Cc: mmusic
> Subject: Re: [MMUSIC] Channel descriptions
> 
> I get one description ("Channels 1-8") for all 8 channels in this stream. I'd
> like to also have the ability to supply a description per channel.
> 
> 
> Kevin Gross
> 
> +1-303-447-0517
> Media Network Consultant
> 
> <[email-masked]> wrote:
> 
> 
> 	Hi Kevin,
> 
> 	Just to clarify my understanding of what you are asking, you can
> already have an i-line at the session level and/or at the media level (i.e. per
> 	> +1-303-447-0517 <tel:%2B1-303-447-0517>
> 	> Media Network Consultant
> 	>
>

---

From: Harald Alvestrand <[email-masked]>
Date: Fri, 20 Jul 2012 14:13:56 +0200

Kevin,

can you clarify what you mean by "channel" here?

The term is used most often for components of a multisource audio 
signal, such as stereo, 5+1 or 22+2 - in most cases, those will be 
carried in a single SSRC, using an encoding that implicitly defines 
which channels go where.

In WebRTC, we've converged on the word "track" for a single media flow 
such as one audio signal (mostly) carried in a single SSRC, and the word 
"stream" for multiple media flows (such as audio and video) that are 
related to each other in some fashion.

If you have a definition you would like to use, please point to it - the 
discussion can get to be almighty confusing if we're not talking about 
the same thing!

On 07/18/2012 01:57 AM, Kevin Gross wrote:
> The i= attribute provides a means to describe a session. Sessions 
> often have multiple media streams or channels. Although RFC 3551 (page 
> 8) suggests a convention for ordering of channels for surround sound 
> applications, other applications use multiple channels in different 
> ways. It would be useful if there were a mechanism analogous to i= for 
> describing individual channels in a session. Does such a thing exist 
> anywhere? I've searched the archives here and didn't find anything.
>
> Kevin Gross
> +1-303-447-0517
> Media Network Consultant
> <http://www.X192.org>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

---

From: Kevin Gross <[email-masked]>
Date: Fri, 20 Jul 2012 08:44:05 -0600

I'm talking about a single audio signals. It a surround stream, a single
signal would be, for instance, the left front. Track is also a reasonable
description but people tend to associate that term with recording and
reproduction. The ability to label individual channels in surround formats
is important to distinguish the many formats and conventions in use. See
http://tech.ebu.ch/docs/r/r123.pdf.

In commercial applications, it is common, for efficiency, for multiple
loosely related channels to be carried in the same stream, e.g. different
background music source, paging signals for different zones. Active audio
crossover networks (http://en.wikipedia.org/wiki/Audio_crossover#Active) are
often used in large sound reinforcement systems and different frequency
components are carried to the speakers as separate channels in the same
stream.

In all cases it is important to correctly connect the channels to their
intended destinations. There are too many possibilities in most of these
use cases for the i= description to resolve the potential ambiguity.

Kevin Gross

On Fri, Jul 20, 2012 at 6:13 AM, Harald Alvestrand <[email-masked]>wrote:

> The term is used most often for components of a multisource audio signal,
> such as stereo, 5+1 or 22+2 - in most cases, those will be carried in a
> single SSRC, using an encoding that implicitly defines which channels go
> where.
>
> discussion can get to be almighty confusing if we're not talking about the
> same thing!
>
>
> mmusic mailing [email-masked]://www.ietf.org/mailman/listinfo/mmusic
>
>
>
>